Subject: Re: [Patch iproute2] u32: add terminal parameter

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 12 Apr 2014 07:43:51 -0400

Cong,

You MUST specify flowid in your filter construct;->
So I agree with Stephen on the verdict on your patch.
We need a patch to avoid this FAQ problem since it happens
often i.e reject a filter that doesnt have flow/classid
specified. How about you provide that patch instead?

cheers,
jamal

On 04/11/14 21:15, Cong Wang wrote:
> On Fri, Apr 11, 2014 at 5:58 PM, Stephen Hemminger
> <[email-masked]> wrote:
>> On Fri, 11 Apr 2014 17:45:53 -0700
>> Cong Wang <[email-masked]> wrote:
>>> It's already there:
>>>
>>>          } else if (sel && sel->flags&TC_U32_TERMINAL) {
>>>                  fprintf(f, "terminal flowid ??? ");
>>>          }
>>
>> But it printing it like an error, not an known good option.
>> The ??? implies that somebody did something wrong.
>
> I don't know why ??? is displayed together with terminal, but
> nothing seems wrong here, check the output after I add
> a mirred action:
>
> filter protocol ip pref 49152 u32
> filter protocol ip pref 49152 u32 fh 800: ht divisor 1
> filter protocol ip pref 49152 u32 fh 800::800 order 2048 key ht 800
> bkt 0 terminal flowid ???
>    match 01020304/ffffffff at 16
> action order 1: mirred (Egress Mirror to device virbr0) pipe
>    index 1 ref 1 bind 1
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>